Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.coordination
Class ParameterBindingManagerBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.coordination.ParameterBindingManagerBean

    public class ParameterBindingManagerBean

extends java.lang.Object

Version:
  $Revision$
Author:
  Chris Laprun

Nested Class Summary
`static class` | `ParameterBindingManagerBean.DisplayParameterBinding`
`static class` | `ParameterBindingManagerBean.ParameterWindowPair`
`static class` | `ParameterBindingManagerBean.ParameterWindowSelectItem`
`class` | `ParameterBindingManagerBean.WindowSelectItemGroup`

Field Summary
`protected CoordinationManagerBean` | `managerBean`

Constructor Summary
`ParameterBindingManagerBean()`
`ParameterBindingManagerBean(CoordinationManagerBean managerBean)`

Method Summary
`java.lang.String` | `cancel()`
`java.lang.String` | `create()`
`java.lang.String` | `delete(java.lang.String name)`
`void` | `extractInfoFrom(Window window, org.jboss.portal.portlet.info.PortletInfo info)`
`java.util.List<? extends javax.faces.model.SelectItem>` | `getAvailableParameterWindowPairs()`
`java.util.Collection<ParameterBindingManagerBean.DisplayParameterBinding>` | `getDisplayParameterBindings()`
`CoordinationManagerBean` | `getManagerBean()`
`java.util.List<java.lang.String>` | `getSelectedParameterWindowPairs()`
`java.lang.String` | `getWindowBindingName()`
`void` | `initKnowing(java.util.Collection<PortalObject> children)`
`void` | `loadInfoFrom(Page page)`
`java.lang.String` | `rename(java.lang.String name, java.lang.String newName)`
`java.lang.String` | `resetSelection()`
`void` | `selectParameterWindowPair(javax.faces.event.ValueChangeEvent event)` Enforce the fact that you can only select one qname per window
`void` | `setManagerBean(CoordinationManagerBean managerBean)`
`void` | `setSelectedParameterWindowPairs(java.util.List<java.lang.String> selectedParameterWindowPairs)`
`void` | `setWindowBindingName(java.lang.String windowBindingName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### managerBean

    protected CoordinationManagerBean managerBean

Constructor Detail

### ParameterBindingManagerBean

    public ParameterBindingManagerBean()

### ParameterBindingManagerBean

    public ParameterBindingManagerBean(CoordinationManagerBean managerBean)

Method Detail

### getAvailableParameterWindowPairs

    public java.util.List<? extends javax.faces.model.SelectItem> getAvailableParameterWindowPairs()

### getSelectedParameterWindowPairs

    public java.util.List<java.lang.String> getSelectedParameterWindowPairs()

### setSelectedParameterWindowPairs

    public void setSelectedParameterWindowPairs(java.util.List<java.lang.String> selectedParameterWindowPairs)

### getWindowBindingName

    public java.lang.String getWindowBindingName()

### setWindowBindingName

    public void setWindowBindingName(java.lang.String windowBindingName)

### extractInfoFrom

    public void extractInfoFrom(Window window,
                                org.jboss.portal.portlet.info.PortletInfo info)

### getDisplayParameterBindings

    public java.util.Collection<ParameterBindingManagerBean.DisplayParameterBinding> getDisplayParameterBindings()

### initKnowing

    public void initKnowing(java.util.Collection<PortalObject> children)

### loadInfoFrom

    public void loadInfoFrom(Page page)

### create

    public java.lang.String create()
                            throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

### resetSelection

    public java.lang.String resetSelection()

### delete

    public java.lang.String delete(java.lang.String name)
                            throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

### rename

    public java.lang.String rename(java.lang.String name,
                                   java.lang.String newName)
                            throws IllegalCoordinationException

  Throws:
    `IllegalCoordinationException`

### selectParameterWindowPair

    public void selectParameterWindowPair(javax.faces.event.ValueChangeEvent event)

  Enforce the fact that you can only select one qname per window

  Parameters:
    `event` -

### getManagerBean

    public CoordinationManagerBean getManagerBean()

### setManagerBean

    public void setManagerBean(CoordinationManagerBean managerBean)

### cancel

    public java.lang.String cancel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD